/*
qxgedit - Qt XG Editor.

   Copyright (C) 2005-2020, rncbc aka Rui Nuno Capela. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

 
*/

/********************************************************************************
** Form generated from reading UI file 'qxgeditOptionsForm.ui'
**
** Created by: Qt User Interface Compiler version 5.15.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_QXGEDITOPTIONSFORM_H
#define UI_QXGEDITOPTIONSFORM_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QApplication>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QDoubleSpinBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QLabel>
#include <QtWidgets/QListWidget>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTabWidget>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QVBoxLayout>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_qxgeditOptionsForm
{
public:
    QVBoxLayout *vboxLayout;
    QTabWidget *OptionsTabWidget;
    QWidget *GeneralTabPage;
    QGridLayout *gridLayout;
    QCheckBox *ConfirmResetCheckBox;
    QSpacerItem *spacerItem;
    QCheckBox *ConfirmRemoveCheckBox;
    QCheckBox *CompletePathCheckBox;
    QLabel *MaxRecentFilesTextLabel;
    QSpinBox *MaxRecentFilesSpinBox;
    QLabel *RandomizePercentTextLabel;
    QDoubleSpinBox *RandomizePercentSpinBox;
    QLabel *BaseFontSizeTextLabel;
    QComboBox *BaseFontSizeComboBox;
    QLabel *StyleThemeTextLabel;
    QComboBox *StyleThemeComboBox;
    QLabel *ColorThemeTextLabel;
    QComboBox *ColorThemeComboBox;
    QToolButton *ColorThemeToolButton;
    QSpacerItem *spacerItem1;
    QWidget *MidiTabPage;
    QVBoxLayout *vboxLayout1;
    QGroupBox *MidiInputGroupBox;
    QVBoxLayout *vboxLayout2;
    QListWidget *MidiInputListView;
    QGroupBox *MidiOutputGroupBox;
    QVBoxLayout *vboxLayout3;
    QListWidget *MidiOutputListView;
    QDialogButtonBox *DialogButtonBox;

    void setupUi(QDialog *qxgeditOptionsForm)
    {
        if (qxgeditOptionsForm->objectName().isEmpty())
            qxgeditOptionsForm->setObjectName(QString::fromUtf8("qxgeditOptionsForm"));
        qxgeditOptionsForm->resize(360, 320);
        const QIcon icon = QIcon(QString::fromUtf8(":/images/qxgedit.png"));
        qxgeditOptionsForm->setWindowIcon(icon);
        qxgeditOptionsForm->setSizeGripEnabled(true);
        vboxLayout = new QVBoxLayout(qxgeditOptionsForm);
        vboxLayout->setSpacing(8);
        vboxLayout->setContentsMargins(8, 8, 8, 8);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        OptionsTabWidget = new QTabWidget(qxgeditOptionsForm);
        OptionsTabWidget->setObjectName(QString::fromUtf8("OptionsTabWidget"));
        OptionsTabWidget->setAcceptDrops(false);
        GeneralTabPage = new QWidget();
        GeneralTabPage->setObjectName(QString::fromUtf8("GeneralTabPage"));
        gridLayout = new QGridLayout(GeneralTabPage);
        gridLayout->setSpacing(8);
        gridLayout->setContentsMargins(8, 8, 8, 8);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        ConfirmResetCheckBox = new QCheckBox(GeneralTabPage);
        ConfirmResetCheckBox->setObjectName(QString::fromUtf8("ConfirmResetCheckBox"));
        QFont font;
        font.setBold(false);
        font.setWeight(50);
        ConfirmResetCheckBox->setFont(font);

        gridLayout->addWidget(ConfirmResetCheckBox, 0, 0, 1, 3);

        spacerItem = new QSpacerItem(8, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout->addItem(spacerItem, 0, 3, 8, 1);

        ConfirmRemoveCheckBox = new QCheckBox(GeneralTabPage);
        ConfirmRemoveCheckBox->setObjectName(QString::fromUtf8("ConfirmRemoveCheckBox"));
        ConfirmRemoveCheckBox->setFont(font);

        gridLayout->addWidget(ConfirmRemoveCheckBox, 1, 0, 1, 3);

        CompletePathCheckBox = new QCheckBox(GeneralTabPage);
        CompletePathCheckBox->setObjectName(QString::fromUtf8("CompletePathCheckBox"));
        CompletePathCheckBox->setFont(font);

        gridLayout->addWidget(CompletePathCheckBox, 2, 0, 1, 3);

        MaxRecentFilesTextLabel = new QLabel(GeneralTabPage);
        MaxRecentFilesTextLabel->setObjectName(QString::fromUtf8("MaxRecentFilesTextLabel"));
        MaxRecentFilesTextLabel->setFont(font);

        gridLayout->addWidget(MaxRecentFilesTextLabel, 3, 0, 1, 1);

        MaxRecentFilesSpinBox = new QSpinBox(GeneralTabPage);
        MaxRecentFilesSpinBox->setObjectName(QString::fromUtf8("MaxRecentFilesSpinBox"));
        MaxRecentFilesSpinBox->setFont(font);
        MaxRecentFilesSpinBox->setMinimum(0);
        MaxRecentFilesSpinBox->setMaximum(20);
        MaxRecentFilesSpinBox->setValue(5);

        gridLayout->addWidget(MaxRecentFilesSpinBox, 3, 1, 1, 1);

        RandomizePercentTextLabel = new QLabel(GeneralTabPage);
        RandomizePercentTextLabel->setObjectName(QString::fromUtf8("RandomizePercentTextLabel"));
        RandomizePercentTextLabel->setFont(font);

        gridLayout->addWidget(RandomizePercentTextLabel, 4, 0, 1, 1);

        RandomizePercentSpinBox = new QDoubleSpinBox(GeneralTabPage);
        RandomizePercentSpinBox->setObjectName(QString::fromUtf8("RandomizePercentSpinBox"));
        RandomizePercentSpinBox->setFont(font);
        RandomizePercentSpinBox->setAccelerated(true);
        RandomizePercentSpinBox->setDecimals(1);
        RandomizePercentSpinBox->setMinimum(0.100000000000000);
        RandomizePercentSpinBox->setMaximum(100.000000000000000);
        RandomizePercentSpinBox->setSingleStep(0.100000000000000);
        RandomizePercentSpinBox->setValue(20.000000000000000);

        gridLayout->addWidget(RandomizePercentSpinBox, 4, 1, 1, 1);

        BaseFontSizeTextLabel = new QLabel(GeneralTabPage);
        BaseFontSizeTextLabel->setObjectName(QString::fromUtf8("BaseFontSizeTextLabel"));
        BaseFontSizeTextLabel->setFont(font);

        gridLayout->addWidget(BaseFontSizeTextLabel, 5, 0, 1, 1);

        BaseFontSizeComboBox = new QComboBox(GeneralTabPage);
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->addItem(QString());
        BaseFontSizeComboBox->setObjectName(QString::fromUtf8("BaseFontSizeComboBox"));
        BaseFontSizeComboBox->setFont(font);
        BaseFontSizeComboBox->setEditable(true);

        gridLayout->addWidget(BaseFontSizeComboBox, 5, 1, 1, 1);

        StyleThemeTextLabel = new QLabel(GeneralTabPage);
        StyleThemeTextLabel->setObjectName(QString::fromUtf8("StyleThemeTextLabel"));
        StyleThemeTextLabel->setFont(font);

        gridLayout->addWidget(StyleThemeTextLabel, 6, 0, 1, 1);

        StyleThemeComboBox = new QComboBox(GeneralTabPage);
        StyleThemeComboBox->addItem(QString());
        StyleThemeComboBox->setObjectName(QString::fromUtf8("StyleThemeComboBox"));
        StyleThemeComboBox->setFont(font);
        StyleThemeComboBox->setEditable(false);

        gridLayout->addWidget(StyleThemeComboBox, 6, 1, 1, 1);

        ColorThemeTextLabel = new QLabel(GeneralTabPage);
        ColorThemeTextLabel->setObjectName(QString::fromUtf8("ColorThemeTextLabel"));
        ColorThemeTextLabel->setFont(font);

        gridLayout->addWidget(ColorThemeTextLabel, 7, 0, 1, 1);

        ColorThemeComboBox = new QComboBox(GeneralTabPage);
        ColorThemeComboBox->addItem(QString());
        ColorThemeComboBox->addItem(QString());
        ColorThemeComboBox->addItem(QString());
        ColorThemeComboBox->setObjectName(QString::fromUtf8("ColorThemeComboBox"));
        ColorThemeComboBox->setFont(font);
        ColorThemeComboBox->setEditable(false);

        gridLayout->addWidget(ColorThemeComboBox, 7, 1, 1, 1);

        ColorThemeToolButton = new QToolButton(GeneralTabPage);
        ColorThemeToolButton->setObjectName(QString::fromUtf8("ColorThemeToolButton"));
        ColorThemeToolButton->setMinimumSize(QSize(22, 22));
        ColorThemeToolButton->setMaximumSize(QSize(24, 24));
        ColorThemeToolButton->setFont(font);
        ColorThemeToolButton->setFocusPolicy(Qt::TabFocus);

        gridLayout->addWidget(ColorThemeToolButton, 7, 2, 1, 1);

        spacerItem1 = new QSpacerItem(20, 8, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacerItem1, 8, 0, 1, 4);

        OptionsTabWidget->addTab(GeneralTabPage, QString());
        MidiTabPage = new QWidget();
        MidiTabPage->setObjectName(QString::fromUtf8("MidiTabPage"));
        vboxLayout1 = new QVBoxLayout(MidiTabPage);
        vboxLayout1->setSpacing(8);
        vboxLayout1->setContentsMargins(8, 8, 8, 8);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        MidiInputGroupBox = new QGroupBox(MidiTabPage);
        MidiInputGroupBox->setObjectName(QString::fromUtf8("MidiInputGroupBox"));
        QFont font1;
        font1.setBold(true);
        font1.setWeight(75);
        MidiInputGroupBox->setFont(font1);
        MidiInputGroupBox->setFlat(true);
        vboxLayout2 = new QVBoxLayout(MidiInputGroupBox);
        vboxLayout2->setSpacing(8);
        vboxLayout2->setContentsMargins(4, 4, 4, 4);
        vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
        MidiInputListView = new QListWidget(MidiInputGroupBox);
        MidiInputListView->setObjectName(QString::fromUtf8("MidiInputListView"));
        MidiInputListView->setFont(font);
        MidiInputListView->setSelectionMode(QAbstractItemView::ExtendedSelection);
        MidiInputListView->setUniformItemSizes(true);

        vboxLayout2->addWidget(MidiInputListView);


        vboxLayout1->addWidget(MidiInputGroupBox);

        MidiOutputGroupBox = new QGroupBox(MidiTabPage);
        MidiOutputGroupBox->setObjectName(QString::fromUtf8("MidiOutputGroupBox"));
        MidiOutputGroupBox->setFont(font1);
        MidiOutputGroupBox->setFlat(true);
        vboxLayout3 = new QVBoxLayout(MidiOutputGroupBox);
        vboxLayout3->setSpacing(8);
        vboxLayout3->setContentsMargins(4, 4, 4, 4);
        vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
        MidiOutputListView = new QListWidget(MidiOutputGroupBox);
        MidiOutputListView->setObjectName(QString::fromUtf8("MidiOutputListView"));
        MidiOutputListView->setFont(font);
        MidiOutputListView->setSelectionMode(QAbstractItemView::ExtendedSelection);
        MidiOutputListView->setUniformItemSizes(true);

        vboxLayout3->addWidget(MidiOutputListView);


        vboxLayout1->addWidget(MidiOutputGroupBox);

        OptionsTabWidget->addTab(MidiTabPage, QString());

        vboxLayout->addWidget(OptionsTabWidget);

        DialogButtonBox = new QDialogButtonBox(qxgeditOptionsForm);
        DialogButtonBox->setObjectName(QString::fromUtf8("DialogButtonBox"));
        DialogButtonBox->setOrientation(Qt::Horizontal);
        DialogButtonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        vboxLayout->addWidget(DialogButtonBox);

#if QT_CONFIG(shortcut)
        MaxRecentFilesTextLabel->setBuddy(MaxRecentFilesSpinBox);
        RandomizePercentTextLabel->setBuddy(RandomizePercentSpinBox);
        BaseFontSizeTextLabel->setBuddy(BaseFontSizeComboBox);
        StyleThemeTextLabel->setBuddy(StyleThemeComboBox);
        ColorThemeTextLabel->setBuddy(ColorThemeComboBox);
#endif // QT_CONFIG(shortcut)
        QWidget::setTabOrder(OptionsTabWidget, ConfirmResetCheckBox);
        QWidget::setTabOrder(ConfirmResetCheckBox, ConfirmRemoveCheckBox);
        QWidget::setTabOrder(ConfirmRemoveCheckBox, CompletePathCheckBox);
        QWidget::setTabOrder(CompletePathCheckBox, MaxRecentFilesSpinBox);
        QWidget::setTabOrder(MaxRecentFilesSpinBox, RandomizePercentSpinBox);
        QWidget::setTabOrder(RandomizePercentSpinBox, BaseFontSizeComboBox);
        QWidget::setTabOrder(BaseFontSizeComboBox, StyleThemeComboBox);
        QWidget::setTabOrder(StyleThemeComboBox, ColorThemeComboBox);
        QWidget::setTabOrder(ColorThemeComboBox, ColorThemeToolButton);
        QWidget::setTabOrder(ColorThemeToolButton, DialogButtonBox);

        retranslateUi(qxgeditOptionsForm);

        OptionsTabWidget->setCurrentIndex(0);


        QMetaObject::connectSlotsByName(qxgeditOptionsForm);
    } // setupUi

    void retranslateUi(QDialog *qxgeditOptionsForm)
    {
        qxgeditOptionsForm->setWindowTitle(QCoreApplication::translate("qxgeditOptionsForm", "Options", nullptr));
#if QT_CONFIG(tooltip)
        ConfirmResetCheckBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Whether to ask for confirmation on parameter reset", nullptr));
#endif // QT_CONFIG(tooltip)
        ConfirmResetCheckBox->setText(QCoreApplication::translate("qxgeditOptionsForm", "Confirm parameter &resets", nullptr));
#if QT_CONFIG(tooltip)
        ConfirmRemoveCheckBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Whether to ask for confirmation on removals", nullptr));
#endif // QT_CONFIG(tooltip)
        ConfirmRemoveCheckBox->setText(QCoreApplication::translate("qxgeditOptionsForm", "&Confirm removals", nullptr));
#if QT_CONFIG(tooltip)
        CompletePathCheckBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Whether to show the complete directory path of loaded session files", nullptr));
#endif // QT_CONFIG(tooltip)
        CompletePathCheckBox->setText(QCoreApplication::translate("qxgeditOptionsForm", "Show complete &path of session files", nullptr));
        MaxRecentFilesTextLabel->setText(QCoreApplication::translate("qxgeditOptionsForm", "&Number of recent files:", nullptr));
#if QT_CONFIG(tooltip)
        MaxRecentFilesSpinBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "The maximum number of recent files to keep in menu", nullptr));
#endif // QT_CONFIG(tooltip)
        RandomizePercentTextLabel->setText(QCoreApplication::translate("qxgeditOptionsForm", "&Randomize factor:", nullptr));
#if QT_CONFIG(tooltip)
        RandomizePercentSpinBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Randomizer deviation from current value", nullptr));
#endif // QT_CONFIG(tooltip)
        RandomizePercentSpinBox->setSuffix(QCoreApplication::translate("qxgeditOptionsForm", " %", nullptr));
        BaseFontSizeTextLabel->setText(QCoreApplication::translate("qxgeditOptionsForm", "&Base font size:", nullptr));
        BaseFontSizeComboBox->setItemText(0, QCoreApplication::translate("qxgeditOptionsForm", "(default)", nullptr));
        BaseFontSizeComboBox->setItemText(1, QCoreApplication::translate("qxgeditOptionsForm", "6", nullptr));
        BaseFontSizeComboBox->setItemText(2, QCoreApplication::translate("qxgeditOptionsForm", "7", nullptr));
        BaseFontSizeComboBox->setItemText(3, QCoreApplication::translate("qxgeditOptionsForm", "8", nullptr));
        BaseFontSizeComboBox->setItemText(4, QCoreApplication::translate("qxgeditOptionsForm", "9", nullptr));
        BaseFontSizeComboBox->setItemText(5, QCoreApplication::translate("qxgeditOptionsForm", "10", nullptr));
        BaseFontSizeComboBox->setItemText(6, QCoreApplication::translate("qxgeditOptionsForm", "11", nullptr));
        BaseFontSizeComboBox->setItemText(7, QCoreApplication::translate("qxgeditOptionsForm", "12", nullptr));

#if QT_CONFIG(tooltip)
        BaseFontSizeComboBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Base application font size (pt.)", nullptr));
#endif // QT_CONFIG(tooltip)
        StyleThemeTextLabel->setText(QCoreApplication::translate("qxgeditOptionsForm", "&Widget style theme:", nullptr));
        StyleThemeComboBox->setItemText(0, QCoreApplication::translate("qxgeditOptionsForm", "(default)", nullptr));

#if QT_CONFIG(tooltip)
        StyleThemeComboBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Custom widget style theme", nullptr));
#endif // QT_CONFIG(tooltip)
        ColorThemeTextLabel->setText(QCoreApplication::translate("qxgeditOptionsForm", "&Color palette theme:", nullptr));
        ColorThemeComboBox->setItemText(0, QCoreApplication::translate("qxgeditOptionsForm", "(default)", nullptr));
        ColorThemeComboBox->setItemText(1, QCoreApplication::translate("qxgeditOptionsForm", "Wonton Soup", nullptr));
        ColorThemeComboBox->setItemText(2, QCoreApplication::translate("qxgeditOptionsForm", "KXStudio", nullptr));

#if QT_CONFIG(tooltip)
        ColorThemeComboBox->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Custom color palette theme", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        ColorThemeToolButton->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "Manage custom color palette themes", nullptr));
#endif // QT_CONFIG(tooltip)
        ColorThemeToolButton->setText(QCoreApplication::translate("qxgeditOptionsForm", "...", nullptr));
        OptionsTabWidget->setTabText(OptionsTabWidget->indexOf(GeneralTabPage), QCoreApplication::translate("qxgeditOptionsForm", "&General", nullptr));
        MidiInputGroupBox->setTitle(QCoreApplication::translate("qxgeditOptionsForm", "Inputs", nullptr));
#if QT_CONFIG(tooltip)
        MidiInputListView->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "MIDI Readable clients / Output ports", nullptr));
#endif // QT_CONFIG(tooltip)
        MidiOutputGroupBox->setTitle(QCoreApplication::translate("qxgeditOptionsForm", "Outputs", nullptr));
#if QT_CONFIG(tooltip)
        MidiOutputListView->setToolTip(QCoreApplication::translate("qxgeditOptionsForm", "MIDI Writable clients / Input ports", nullptr));
#endif // QT_CONFIG(tooltip)
        OptionsTabWidget->setTabText(OptionsTabWidget->indexOf(MidiTabPage), QCoreApplication::translate("qxgeditOptionsForm", "&MIDI", nullptr));
    } // retranslateUi

};

namespace Ui {
    class qxgeditOptionsForm: public Ui_qxgeditOptionsForm {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_QXGEDITOPTIONSFORM_H
